Devices
Get an Organisation's Devices Savings
Get the savings for the specified organization ID within a date range.
Available only for “admin” users.
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
devices
/
savings
Get an Organisation's Devices Savings
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/devices/savings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/devices/savings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/devices/savings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_savings": 123,
"heat_pump_savings": 123,
"electric_vehicle_savings": 123,
"inverter_savings": 123
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization ID of the user's organization
Query Parameters
Start datetime for savings calculation
End datetime for savings calculation
Was this page helpful?
⌘I
Get an Organisation's Devices Savings
